Introduction

NovaStor Product Builder
Introduction
Send Feedback
https://www.novabackup.com

Introduction

The NovaStor Product Builder is a web based application that allows vendors to customize the backup client with their logo, graphics, and text in order to re-brand it according to their requirements.

Send comments on this topic to support@novabackup.com

Copyright © 1987-2024 NovaStor Corporation. All rights reserved. All trademarks are the property of their respective owners. Features and specifications are subject to change without notice. The information provided herein is provided for informational and planning purposes only.


Status

Status
https://www.novabackup.com

The Status tab displays the current status of the build.

Product Status

The status of the build.

Read-only.

Possible values:

  • Awaiting approval

  • Rejected

  • Approved and in queue to build

  • Available for download

Last Requested

The date and time when a build was last submitted for review.

Read-only.

Last Built

The date and time when the build was last accepted and built.

Read-only.


General

General
https://www.novabackup.com

The General tab includes general company and product information.

Build Name

The name of the build.

Required.

Company Full Name

The full company name.

Required.

Default value: Company

Must not contain commas.

Example: NovaStor Corporation

Company Short Name

The short company name.

Required.

Default value: Company

Must not contain any of the following characters: , \ ' ` ‘ ’

Note

The Company Short Name and the Product Name values may not exceed 35 characters combined

Example: NovaStor

Product Name

The product name.

Required.

Note

The Company Short Name and the Product Name values may not exceed 35 characters combined

Default value: Product

Must not contain hyphens or dashes.

Example: NovaBACKUP

Description

A general description of the build.

Required.

Default value: Description

Product Name Prefix

The product prefix.

Required.

Default value: Pr

Must be 2 characters in length.

Must not equal any of the following: 'kb', 'mb', 'gb'

Example: Ns

Application File Name

The main application file name without the .exe file extension.

Required.

Default value: Application

Must not contain spaces.

Must not equal 'backup'.

Example: NovaBackX

Copyright

The copyright information.

Required.

Default value: Copyright

Example: Copyright (C) 2013

Support

The support information as displayed in Help > About.

Required.

Default value: Support

Example: 805-579-6700 or support@novabackup.com

Company URL

The company website.

Example: https://www.novabackup.com

Contact Support URL

The customer support web page launched from Help > On The Web > Technical Support.

Example: https://support.novabackup.com

Customer Center URL

The customer account web page.

Example: https://support.novastor.com/hc/

Purchase URL

The product purchasing web page.

Example: https://www.novabackup.com/products

Product Info URL

The product information web page.

Example: https://www.novabackup.com/products

Register URL

The product registration web page. If the value in this field starts with [OLH], the rest of the value will be launched from Help > Help Topics.

Example: https://www.novabackup.com/register

Example: [OLH]http://help.novabackup.com/NovaStor/NovaBACKUP/19/5/enu/

Updates URL

The product updates web page.

Example: https://www.novabackup.com/resources/whats-new

Registration URL

The backup storage commerce server registration web service Uri.

Example: https://www.mydomain.com/backup_storage_comerce_server/service.asmx

Upgrade URL

The application updater web service Uri.

Example: https://www.mydomain.com/application_update/Service.asmx

Built In Key

The built-in license key.

Note

This field is only visible to the Administrator.

Default Evaluation Key

The default evaluation license key.

Note

This field is only visible to the Administrator.

Evaluation Days

The number of trial evaluation days.

Note

This field is only visible to the Administrator.

Required.

Default value: 30

Tray Control File Name

The backup client notification tray control file name without the .exe file extension.

Note

This field is only visible to the Administrator.

Required.

Default value: [prefix]Ctrl

Service File Name

The backup client service file name without the .exe file extension.

Note

This field is only visible to the Administrator.

Required.

Default value: [prefix]Service

Virtual Disk Mount Service Name

The virtual disk mount service name.

Note

This field is only visible to the Administrator.

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Required.

Default value: [prefix]MountService

Virtual Disk Mount Service Port

The virtual disk mount service port number.

Note

This field is only visible to the Administrator.

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Required.

Default value: 32338

Minimum value: 1

Maximum value: 65535

Enable Exchange Single Mailbox Restore Download Link

Determines whether or not to enable displaying the "Exchange Single Mailbox Restore" download link.

Note

This field is only visible to the Administrator.

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Default value: false

Script File Extension

The backup client script file extension association.

Note

This field is only visible to the Administrator.

Required.

Default value: nbk

Use Black Text On Splash Screen

Determines whether or not to use black text on the splash screen.

Default value: false

Generate NovaNET-WEB Patch

Determines whether or not to generate a NovaNet-WEB patch update file.

Default value: false

Base Product

The base product.

Required.

Registration Required

Determines whether or not product registration is required.

Note

This field is only visible to the Administrator.

Default value: false

Opt-in Email Marketing

Determines whether or not product registration opt-ins the email address for marketing.

Note

This field is only visible to the Administrator.

Default value: false

Silent Activation

Determines whether or not the product performs silent license activation.

Note

This field is only visible to the Administrator.

Default value: true

Embedded Offline License Activation Code

The embedded offline license activation key.

Note

This field is only visible to the Administrator.

Use Previous License Key

Determines whether or not to use the license key from the previously installed backup client.

Note

This field is only visible to the Administrator.

Default value: false

Use Previous Opt-in Email Marketing

Determines whether or not to use the registration op-in marketing flag from the previously installed backup client.

Note

This field is only visible to the Administrator.

Suppress Online Activation

Determines whether or not online license activation is suppressed.

Note

This field is only visible to the Administrator.

Default value: true

Suppress Registration Dialog

Determines whether or not the product registration dialog is suppressed.

Note

This field is only visible to the Administrator.

Default value: true

Display Support Tab

Determines whether or not to display the support tab.

Note

This setting is only available for custom backup clients with a base product greater than or equal to v16.5.

Default value: false

Purchase Upgrade URL

The product upgrade purchasing Uri used in the setup installer when the license key is not eligible for this version of the product.

Note

This field is only visible to the Administrator.

Example: https://www.novabackup.com/upgrade

Uninstall Uri

The product uninstall survey Uri that is launched by the setup installer when the product is uninstalled.

Note

This field is only visible to the Administrator.

If an uninstall Uri is not entered, the web browser will not be launched.

This field is only editable by NovaStor.

Maximum number of characters: 4000

Default value: https://www.novabackup.com/uninstall

Example: https://www.novabackup.com/uninstall

Display Product Purchase item in the Help > On The Web menu

Determines whether or not to display the Product Purchase item in the Help > On The Web menu.

Note

This field is only visible to the Administrator. This setting is only available for custom backup clients with a base product greater than or equal to v18.5.

Default value: true

Automatically check for updates

Determines whether or not to automatically check for updates.

Note

This field is only visible to the Administrator. This setting is only available for custom backup clients with a base product greater than or equal to v18.5.

Default value: true

Display Check For Updates item in the Help menu

Determines whether or not to display the Check For Updates item in the Help menu.

Note

This field is only visible to the Administrator. This setting is only available for custom backup clients with a base product greater than or equal to v18.5.

Default value: true

Send comments on this topic to support@novabackup.com

Copyright © 1987-2024 NovaStor Corporation. All rights reserved. All trademarks are the property of their respective owners. Features and specifications are subject to change without notice. The information provided herein is provided for informational and planning purposes only.


Management Server

Management Server
https://www.novabackup.com

The Management Server tab includes information specifically for integrating the backup client with the Management Server.

Server Address

The Management Server service address.

Server Port

The Management Server port number.

Default value: 4502

Agent Service Start Mode

The Backup Client Agent Service start mode.

Possible values:

  • Automatic

  • Automatic (Delayed Start)

  • Manual

Default value: Automatic (Delayed Start)

Note

The "Automatic (Delayed Start)" start mode is not supported on Windows XP, Windows Server 2003, or Windows Server 2003 R2.

If this start mode is selected, then the "Automatic" start mode will actually be used when installed on those operating systems.

Start Agent Service

Determines whether or not to automatically start the Backup Client Agent Service.

Default value: false

Manage Devices

Determines whether or not to allow the Management Server to configure the backup client's online devices.

Default value: false

Agent Group

The default Backup Client Agent group.

Example: Pending

Send comments on this topic to support@novabackup.com

Copyright © 1987-2024 NovaStor Corporation. All rights reserved. All trademarks are the property of their respective owners. Features and specifications are subject to change without notice. The information provided herein is provided for informational and planning purposes only.


Languages

Languages
https://www.novabackup.com

The Languages tab specifies which languages are included in the backup client.

Language

The language.

Available languages:

  • Chinese (Simplified)

  • Chinese (Traditional)

  • German

  • English

  • Spanish

  • French

  • Italian

  • Japanese

  • Portuguese

  • Russian

  • Turkish

  • Korean

Default value: English

Note

Korean is only available for custom backup clients with a base product greater than or equal to v18.8.


Graphics

Graphics
https://www.novabackup.com

The Graphics tab specifies the images to use for the product's logo, icons, and dialogs.

For accurate custom graphics, download example graphics to use as a guide at the following location: Example Customization Graphics

Bottom Left (232 x 60 Bitmap)

The banner that appears on the bottom left.

Use the RGB color 255, 0, 255 for transparency.

Dimensions: 232x60

72 DPI

Filename: oem_bottomleft.bmp

Default NovaStor NovaBACKUP Template:

Preview:

oem bottomleft preview

Icon (64 x 64 Icon)

The program icon.

Supported dimensions:

  • 16x16
  • 24x24
  • 32x32
  • 48x48
  • 64x64

Note

Icon files may have multiple dimensions.

96 DPI

Filename: oem_icon.ico

Default NovaStor NovaBACKUP Template:

Logo (24 x 24 Icon)

The logo.

Dimensions: 24x24

96 DPI

Filename: oem_logo.ico

Default NovaStor NovaBACKUP Template:

Preview:

oem logo preview

Long Banner Left (175 x 500 Bitmap)

The long banner that appears on the left.

Dimensions: 175x500

72 DPI

Filename: oem_long_banner_left.bmp

Default NovaStor NovaBACKUP Template:

oem long banner left

Preview:

oem long banner left preview

Setup Header (600 x 70 Bitmap)

The banner that appears in the setup installer header.

Dimensions: 600x70

72 DPI

Filename: oem_setup_header.bmp

Default NovaStor NovaBACKUP Template:

oem setup header

Preview:

oem setup header preview

Setup Page (600 x 346 Bitmap)

The image that appears in the setup installer.

Dimensions: 600x346

72 DPI

Filename: oem_setup_page.bmp

Default NovaStor NovaBACKUP Template:

oem setup page

Preview:

oem setup page preview

Splash (602 x 441 Bitmap)

The image that appears on the splash screen when the backup client is launched.

Dimensions: 602x441

72 DPI

Filename: oem_splash.bmp

Default NovaStor NovaBACKUP Template:

Preview:

oem splash preview

Animated Tray Icons

The animated tray icons are displayed when the backup client is currently performing a backup for example.

Animated 1 (24 x 24 Icon)

The first animated icon.

Dimensions: 24x24

96 DPI

Filename: oem_anim_1.ico

Default NovaStor NovaBACKUP Template:

oem anim 1

Animated 2 (24 x 24 Icon)

The second animated icon.

Dimensions: 24x24

96 DPI

Filename: oem_anim_2.ico

Default NovaStor NovaBACKUP Template:

oem anim 2

Animated 3 (24 x 24 Icon)

The third animated icon.

Dimensions: 24x24

96 DPI

Filename: oem_anim_3.ico

Default NovaStor NovaBACKUP Template:

oem anim 3

Animated 4 (24 x 24 Icon)

The fourth animated icon.

Dimensions: 24x24

96 DPI

Filename: oem_anim_4.ico

Default NovaStor NovaBACKUP Template:

oem anim 4

Logo (24 x 24 PNG)

The logo.

A transparent background may be used.

Dimensions: 24x24

72 DPI

Filename: oem_logo.png

Default NovaStor NovaBACKUP Template:

Status Tray Icons

The status tray icons are used to indicate the status of the last operation.

Tray Green (24 x 24 Icon)

The green tray control icon.

Dimensions: 24x24

96 DPI

Filename: oem_tray_grn.ico

Default NovaStor NovaBACKUP Template:

oem tray grn

Tray Orange (24 x 24 Icon)

The orange tray control icon.

Dimensions: 24x24

96 DPI

Filename: oem_tray_org.ico

Default NovaStor NovaBACKUP Template:

oem tray org

Tray Red (24 x 24 Icon)

The red tray control icon.

Dimensions: 24x24

96 DPI

Filename: oem_tray_red.ico

Default NovaStor NovaBACKUP Template:

oem tray red

Setup Banner (110 x 208 Bitmap)

The banner that appears in the setup installer.

Dimensions: 110x208

72 DPI

Filename: Banner.bmp

Default NovaStor NovaBACKUP Template:

Setup Icon (24 x 24 Icon)

The setup installer icon.

Dimensions: 24x24

96 DPI

Filename: icon.ico

Default NovaStor NovaBACKUP Template:

Backup Wizard Left Panel (192 x 670 Bitmap)

The image used in the backup wizard.

Dimensions: 192x670

72 DPI

Filename: oem_wizpanel.bmp

Default NovaStor NovaBACKUP Template:

Advanced Virtual Dashboard Background (1920 x 1080 PNG)

The background image used in the advanced virtual dashboard.

Note

This setting is only available for custom backup clients with a base product greater than or equal to v15.5.

Dimensions: 1920x1080

32 DPI

Filename: oem_avd_background.png

Default Template:

oem avd background


String Resources

String Resources
https://www.novabackup.com

The String Resources tab specifies the custom text to display for specific string resources.

String Resource

The custom text to display for a specific string resource.

Default xSP Device Name

The default name for xSP devices.

Default value: xSP Account

Default xSP Device Name Format

The default name format for xSP devices.

Default value: xSP device.%d

Send comments on this topic to support@novabackup.com

Copyright © 1987-2024 NovaStor Corporation. All rights reserved. All trademarks are the property of their respective owners. Features and specifications are subject to change without notice. The information provided herein is provided for informational and planning purposes only.


Licenses

Licenses
https://www.novabackup.com

The Licenses tab specifies which features are enabled in the backup client by default (ex. during the evaluation period).

This tab is only visible to the Administrator.

Copy

Copy

Backup

Backup

Magnetic Disk

Magnetic Disk

Optical

Optical

Tape

Tape

Internet

Internet

NovaNet-WEB

NovaNet-WEB

Network Devices

Network Devices

Removable Devices

Removable Devices

Disaster Recovery

Disaster Recovery

Virtualization

Virtualization

Exchange

Exchange

SQL

SQL

Local Backup

Local Backup

Server OS

Server OS

Virtual Machine Replication

Virtual Machine Replication

Note

This checkbox is unchecked by default.

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Virtual Machine Single File Restore

Virtual Machine Single File Restore

Note

This checkbox is unchecked by default.

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Exchange Single Mailbox Restore

Exchange Single Mailbox Restore

Note

This checkbox is unchecked by default.

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Number of Exchange Single Mailbox Restore Mailboxes

Number of Exchange Single Mailbox Restore Mailboxes

Note

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Required.

Default value: 0

Minimum value: 0

Maximum value: 2147483647

License URL

License URL

Type

The default license type.

Most Popular License Types
OEM Id | License Type | Name
1 | 3 | NovaBACKUP Business Essentials
1 | 4 | NovaBACKUP Professional Evaluation
1 | 8 | NovaBACKUP BE Virtual

Display the License or NovaCare Subscription expiration date in the splash screen and in the Help > About dialog

Determines whether or not to display the License or NovaCare Subscription expiration date in the splash screen and in the Help > About dialog.

Note

This field is only visible to the Administrator. This setting is only available for custom backup clients with a base product greater than or equal to v18.5.

Default value: true

Display the License key in the Help > About dialog

Determines whether or not to display the License key in the Help > About dialog.

Note

This field is only visible to the Administrator. This setting is only available for custom backup clients with a base product greater than or equal to v18.5.

Default value: true

Send comments on this topic to support@novabackup.com

Copyright © 1987-2024 NovaStor Corporation. All rights reserved. All trademarks are the property of their respective owners. Features and specifications are subject to change without notice. The information provided herein is provided for informational and planning purposes only.


Code Signatures

Code Signatures
https://www.novabackup.com

The Code Signatures tab specifies the digital code signing certificate to use for assembly redistributables.

Code Signing Certificate File (pfx\pkcs12)

The code signing certificate file.

Password

The code signing certificate file password.

Description

The description to apply to assemblies when code signing.

URL

The Uri to apply to assemblies when code signing.


Setup

Setup
https://www.novabackup.com

The Setup tab specifies the properties of the setup installer.

NovaNet-WEB Server

The NovaBACKUP Storage Server address.

Note

If a value is specified, the configuration dialog is automatically displayed when the backup client is first launched to allow the user to enter the username and password to establish a direct connection to the NovaBACKUP Storage Server account, without provisioning through the CMon or Commerce server.

The server address field in the configuration dialog will be pre-filled with this value.

Example: www.mydomain.com

NovaNet-WEB URL

The CMon or Commerce Server address for account provisioning.

Note

If a value is not specified, the user will have to manually add an xSP device and enter the username and password to establish a connection to the NovaBACKUP Storage Server account.

Example: www.mydomain.com/ManagementServer

BackupClient.ini File

The BackupClient.ini file.

config.ini File

The config.ini file.

exc.ini File

The exc.ini file.

Anti-Virus

Determines whether or not to include the anti-virus feature.

Note

This setting is only available for custom backup clients with a base product less than v17.0.

Disaster Recovery

Determines whether or not to include the disaster recovery feature.

Agent Service

Determines whether or not to include the agent service feature.

VMware

Determines whether or not to include the VMware feature.

Advanced Virtual Dashboard

Determines whether or not to include the "Advanced Virtual Dashboard" feature in the setup installer.

Note

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Description: Supports the replication and single-file restorable backup of Hyper-V and VMware virtual machines.

This checkbox is unchecked by default.

Virtual Disk Mount Service

Determines whether or not to include the "Virtual Disk Mount Service" feature in the setup installer.

Note

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Description: A windows service that supports mounting VMware virtual disks.

This feature is a child of the "Advanced Virtual Dashboard" feature.

This checkbox is unchecked by default.

Note

Custom backup clients with a base product greater than or equal to v16.5 display a checkbox on the "Setup Type" dialog that reads "Include ability to restore individual files from VMware backups (requires reboot)". If the "Virtual Disk Mount Service" and "Extended File System Driver" features are not included with the backup client setup installer, then this checkbox is not displayed.

Virtual Storage Driver

Determines whether or not to include the "Virtual Storage Driver" feature in the setup installer.

Note

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Description: A storage driver that supports reading VMware virtual disks.

This feature is a child of the "Advanced Virtual Dashboard" feature.

This checkbox is unchecked by default.

Extended File System Driver

Determines whether or not to include the "Extended File System Driver" feature in the setup installer.

Note

This setting is only available for custom backup clients with a base product greater than or equal to v16.0.

Description: A driver that supports reading extended (ext) file system partitions.

This checkbox is unchecked by default.

Note

Custom backup clients with a base product greater than or equal to v16.5 display a checkbox on the "Setup Type" dialog that reads "Include ability to restore individual files from VMware backups (requires reboot)". If the "Virtual Disk Mount Service" and "Extended File System Driver" features are not included with the backup client setup installer, then this checkbox is not displayed.

Single Mailbox Restore

Determines whether or not to include the "Single Mailbox Restore" feature in the setup download installer.

Note

This field is only visible to the Administrator.

Note

This setting is only available for custom backup clients with a base product greater than or equal to v16.1 and less than v18.1.

This checkbox is unchecked by default.

Include Usage Tracking

Determines whether or not to include the "Usage Tracking" feature in the setup installer and client UI.

Note

This setting is only available for custom backup clients with a base product greater than or equal to v16.1.

Description: Should Usage tracking be enabled in the Client. If enabled a check box for opt in/out will show up in the installer and the backup client Default properties.

This checkbox is unchecked by default.


License Agreements

License Agreements
See Also Send Feedback
https://www.novabackup.com

The License Agreements tab specifies the custom End-User License Agreement (EULA) displayed in the setup installer.

Add a custom License Agreement

When customizing a v15.0.12 or higher base product, individual language-specific license agreements can be configured so that the appropriate license agreement is displayed according to the language the end-user selects during installation.

When customizing a v15.0.11 or lower base product, only the last custom license agreement will be used and displayed without regards to the language the end-user selects during installation.

Only Rich Text Format (RTF) files are supported.

View the default License Agreement

The default license agreement will be used for each language for which a custom license agreement has not been configured.

Preview

setup license agreement preview

See Also

Other Resources

Languages

Send comments on this topic to support@novabackup.com

Copyright © 1987-2024 NovaStor Corporation. All rights reserved. All trademarks are the property of their respective owners. Features and specifications are subject to change without notice. The information provided herein is provided for informational and planning purposes only.


Comments

Comments
https://www.novabackup.com

The Comments tab specifies any comments or special requests for NovaStor's Technical Support pertaining to the custom build.

Customer

The comments or special requests for NovaStor's Technical Support pertaining to the custom build.


Notification

Notification
https://www.novabackup.com

The Notification tab contains the settings for the SMTP server and email options to use within the backup client.

This tab is only visible for backup clients with a base product greater than or equal to v17.

Type

The type of alert service to use.

The default option is "NovaBACKUP Alert Service".

NovaBACKUP Alert Service

This option allows users to optionally select a pre-configured SMTP server and email options in order to send email notifications.

Emails sent using this service will be from "NovaBACKUP Alert Service <noreply@novabackup.com>".

Users will still be able to enter their own SMTP server and email options.

Custom Alert Service

This option allows users to optionally select a custom pre-configured SMTP server and email options in order to send email notifications.

When this option is selected, the SMTP settings and email options will become visible.

The text entered in the "Sender Name" field will be used to identify the name of the alert service and the name of the email sender.

Users will still be able to enter their own SMTP server and email options.

No Alert Service

This option requires users to manually enter their own SMTP server and email options in order to send email notifications.

Sender Name

The name of the email sender.

The text entered in this field will be used to also identify the name of the alert service.

This field is only visible and required when the "Custom Alert Service" option is selected.

Sender Email Address

The sender's email address.

This field is only visible and required when the "Custom Alert Service" option is selected.

SMTP Server Address

The SMTP server address.

This field is only visible and required when the "Custom Alert Service" option is selected.

The email address must be in a valid email address format.

SMTP Server Port

The SMTP server port.

This field is only visible and required when the "Custom Alert Service" option is selected.

Default value: 25

Minimum value: 1

Maximum value: 65535

Use SSL

Indicates wether or not to use SSL when communicating with the SMTP server.

This field is only visible when the "Custom Alert Service" option is selected.

Default value: false

Requires Authentication

Indicates wether or not to use authentication when communicating with the SMTP server.

This field is only visible when the "Custom Alert Service" option is selected.

When this option is enabled, the username and password fields will become visible.

Default value: false

Username

The username to use when authenticating with the SMTP server.

This field is only visible and required when authentication is enabled.

Password

The password to use when authenticating with the SMTP server.

This field is only visible and required when authentication is enabled.

Number of retries

The number of times to retry sending the email notification in case of a failure.

This field is only visible and required when the "Custom Alert Service" option is selected.

Default value: 1

Minimum value: 0

Maximum value: 5

Timeout in seconds

The maximum number of seconds to wait for the email to be sent until timing out.

This field is only visible and required when the "Custom Alert Service" option is selected.

Default value: 5

Minimum value: 1

Maximum value: 30

Report Email Header Logo URL

The report email header logo URL.

Example: https://img.novabackup.com/EN/NovaStor-logos/NovaStor_Logo_white_noclaim_100.png

Report Email Footer Logo URL

The report email footer logo URL.

Example: https://img.novabackup.com/EN/NovaStor-logos/icon-logo.gif

Report Email Footer Company Address

The report email footer company address.

Example: NovaStor Corporation 29209 Canwood St. Agoura Hills, CA 91301 USA


Support

Support
https://www.novabackup.com

Contacting Technical Support

Visit us online at https://www.novabackup.com.

For technical support, comments, or suggestions, please contact support@novabackup.com

or call our Technical Support Department at

+1 805-579-6700

Monday - Friday

8am - 5pm (PT)

Holiday hours may vary.

Thank you for choosing NovaStor Corporation!

company name logo